Get Hourly Active Accounts Stats
POST
Retrieves the hourly count of active accounts within the specified range.
📘 When is data reflected?
In the current hourly statistics API, time is based on UTC, and each response item provides statistics for the period from the date +1 hour. For hourly statistics, the most recent hour's statistics may be delayed by up to 40 minutes, so this should be considered when querying the latest data.
🚧 Check the network when using!
This API is only supported on Ethereum Mainnet and TheBalance Mainnet. It cannot be used on other networks. Please verify the network when using.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
startDateTimestringrequired
Parameter specifying the start date and time for the query. Data can be queried for up to 2400 hours from start to end datetime. Supports YYYY-MM-DD-HH format.endDateTimestringrequired
Parameter specifying the end date and time for the query. Data can be queried for up to 2400 hours from start to end datetime. Supports YYYY-MM-DD-HH format.Responses
countinteger
Field representing the total count of requested data. This field is only included in the response when true is set for the withCount parameter.datestringrequired
Field representing the date and time. Provided in YYYY-MM-DD-HH format. (e.g., 2021-01-01-00)countintegerrequired
Field representing the number of transactions per hour.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X POST 'https://web3.nodit.io/v1/ethereum/mainnet/stats/getHourlyActiveAccountsStats' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"startDateTime": "2026-01-01-00","endDateTime": "2026-01-01-00"}'